petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetCoordinateDM

Gets the DM that prescribes coordinate layout and scatters between global and local coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinateDM(DM dm, DM *cdm)

Collective on dm

### Input Parameter

dm -the DM

### Output Parameter

cdm -coordinate DM

### See Also

DMSetCoordinateDM(), DMSetCoordinates(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/ex13f90.F90.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex46.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages